Last Comment Bug 598043 - New loading bars look and work really badly in Linux
: New loading bars look and work really badly in Linux
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-20 08:58 PDT by Chris Lord [:cwiiis]
Modified: 2011-07-26 02:26 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Screenshot showing how bad loading bars look (141.33 KB, image/png)
2010-09-20 09:02 PDT, Chris Lord [:cwiiis]
no flags Details
A loading bar in the location bar - what exactly is it trying to tell me? (94.32 KB, image/png)
2010-09-20 09:03 PDT, Chris Lord [:cwiiis]
no flags Details

Description Chris Lord [:cwiiis] 2010-09-20 08:58:32 PDT
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:2.0b7pre) Gecko/20100919 Firefox/4.0b7pre
Build Identifier: Mozilla/5.0 (X11; Linux i686; rv:2.0b7pre) Gecko/20100919 Firefox/4.0b7pre

I'm sure they fit in on whatever platform they've been designed for, but on just about every GTK theme I can find, the new loading bars look very bad. As well as not being aesthetically pleasing (which I can understand is a subjective thing, and so some may disagree), they aren't very good from a usability stand-point, for the following reasons:

- They remove padding from text (either lower or upper, depending on whether the bar's in the location bar or the tab), making it less readable

- There is very little contrast between the fill and empty colours, making it very hard to distinguish what the bar is actually trying to say

- Mozilla's loading progress has very low granularity, so likelihood is you see this bar in only two states - empty, and full. This looks bad and is pretty useless

- The point that the line is indicating is accentuated by a horizontal gradient on either side - which actually just reduces the contrast even more and makes it hard to see what it's trying to say

- The animation of these bars is not interpolated, so is very hard to track if you watch it while it updates

- The loading bars are tiny on app-tabs, making them very ugly/uninformative

I would suggest that it would be better to leave these lines off of tabs. Perhaps replace them with a static loading indicator in place (or on top of) the favicon, or an animated spinner (but something better than the previous pie-charts, which were also pretty bad).

I would also suggest that in the location bar, the line should actually be replaced by filling in the background of the location bar entirely (similar to how this is handled in GtkEntry with gtk_entry_set_progress_fraction), or some other alternative progress indication.

This current indication is not only ugly (subjective), but also pretty poor from a usability stand-point too (objective).

I will attach a screenshot that I hope demonstrates what I'm talking about.

Reproducible: Always
Comment 1 Chris Lord [:cwiiis] 2010-09-20 09:02:17 PDT
Created attachment 476823 [details]
Screenshot showing how bad loading bars look
Comment 2 Chris Lord [:cwiiis] 2010-09-20 09:03:00 PDT
Created attachment 476825 [details]
A loading bar in the location bar - what exactly is it trying to tell me?
Comment 3 Jo Hermans 2010-09-20 11:55:01 PDT
comment 1 is bug 596868 / bug 597592
comment 2 is bug 597971
Comment 4 Chris Lord [:cwiiis] 2010-09-21 01:57:27 PDT
None of my comments are bug #597971, but that's also a good point.
Comment 5 Chris Lord [:cwiiis] 2011-07-26 02:26:01 PDT
Fixed in Firefox 4.

Note You need to log in before you can comment on or make changes to this bug.